<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Under Water Drone: Dokumentacja klasy Scene</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Under Water Drone
   &#160;<span id="projectnumber">0.1</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.8.17 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',false,false,'search.php','Szukaj');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('d6/db5/class_scene.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-methods">Metody publiczne</a> &#124;
<a href="#pri-attribs">Atrybuty prywatne</a> &#124;
<a href="../../d9/d89/class_scene-members.html">Lista wszystkich składowych</a>  </div>
  <div class="headertitle">
<div class="title">Dokumentacja klasy Scene</div>  </div>
</div><!--header-->
<div class="contents">

<p>Modeluje pojęcie sceny.  
 <a href="../../d6/db5/class_scene.html#details">Więcej...</a></p>

<p><code>#include &lt;<a class="el" href="../../d5/dd8/scene_8hh_source.html">scene.hh</a>&gt;</code></p>
<div class="dynheader">
Diagram dziedziczenia dla Scene</div>
<div class="dyncontent">
<div class="center"><img src="../../d8/de6/class_scene__inherit__graph.png" border="0" usemap="#_scene_inherit__map" alt="Inheritance graph"/></div>
<map name="_scene_inherit__map" id="_scene_inherit__map">
<area shape="rect" title="Modeluje pojęcie sceny." alt="" coords="115,229,176,256"/>
<area shape="rect" href="../../d5/d02/class_drone.html" title="Modeluje pojęcie drona." alt="" coords="5,155,67,181"/>
<area shape="rect" href="../../d2/d73/class_cuboid.html" title="Modeluje pojęcie prostopadłościanu." alt="" coords="20,80,87,107"/>
<area shape="rect" href="../../d7/da7/class_shape.html" title="Modeluje pojęcie obiektu geometrycznego." alt="" coords="109,5,171,32"/>
<area shape="rect" href="../../d0/ddf/classwater_surface.html" title="Modeluje pojęcie powierzchmi wody." alt="" coords="91,155,199,181"/>
<area shape="rect" href="../../d8/dc1/classbottom_surface.html" title="Modeluje pojęcie powierzchmi dna." alt="" coords="178,80,297,107"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legenda</a>]</span></center></div>
<div class="dynheader">
Diagram współpracy dla Scene:</div>
<div class="dyncontent">
<div class="center"><img src="../../d4/d7f/class_scene__coll__graph.png" border="0" usemap="#_scene_coll__map" alt="Collaboration graph"/></div>
<map name="_scene_coll__map" id="_scene_coll__map">
<area shape="rect" title="Modeluje pojęcie sceny." alt="" coords="105,451,167,477"/>
<area shape="rect" href="../../d5/d02/class_drone.html" title="Modeluje pojęcie drona." alt="" coords="9,361,71,388"/>
<area shape="rect" href="../../d2/d73/class_cuboid.html" title="Modeluje pojęcie prostopadłościanu." alt="" coords="5,260,72,287"/>
<area shape="rect" href="../../d7/da7/class_shape.html" title="Modeluje pojęcie obiektu geometrycznego." alt="" coords="79,184,142,211"/>
<area shape="rect" href="../../d0/ddf/classwater_surface.html" title="Modeluje pojęcie powierzchmi wody." alt="" coords="57,311,165,337"/>
<area shape="rect" href="../../d8/dc1/classbottom_surface.html" title="Modeluje pojęcie powierzchmi dna." alt="" coords="171,311,290,337"/>
<area shape="rect" href="../../d5/db2/class_vector.html" title=" " alt="" coords="34,95,187,121"/>
<area shape="rect" href="../../d5/db2/class_vector.html" title=" " alt="" coords="41,5,180,32"/>
<area shape="rect" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html" title="Klasa realizuje interfejs do programu GNUPlot." alt="" coords="199,361,332,388"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legenda</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Metody publiczne</h2></td></tr>
<tr class="memitem:ad10176d75a9cc0da56626f682d083507"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/db5/class_scene.html#ad10176d75a9cc0da56626f682d083507">Scene</a> ()</td></tr>
<tr class="memdesc:ad10176d75a9cc0da56626f682d083507"><td class="mdescLeft">&#160;</td><td class="mdescRight">Konstruktor dla klasy <a class="el" href="../../d6/db5/class_scene.html" title="Modeluje pojęcie sceny.">Scene</a>.  <a href="../../d6/db5/class_scene.html#ad10176d75a9cc0da56626f682d083507">Więcej...</a><br /></td></tr>
<tr class="separator:ad10176d75a9cc0da56626f682d083507"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3991345d3b38355077c2a8615fdeae05"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/db5/class_scene.html#a3991345d3b38355077c2a8615fdeae05">checkCollision</a> (const <a class="el" href="../../dc/dca/_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &amp;vector)</td></tr>
<tr class="memdesc:a3991345d3b38355077c2a8615fdeae05"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sprawdza kolizję drona z dnem lub powierzchnią wody.  <a href="../../d6/db5/class_scene.html#a3991345d3b38355077c2a8615fdeae05">Więcej...</a><br /></td></tr>
<tr class="separator:a3991345d3b38355077c2a8615fdeae05"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a3d83da2246b9e98c9e04cef38e1778"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/db5/class_scene.html#a0a3d83da2246b9e98c9e04cef38e1778">animation</a> (double rotateAngle)</td></tr>
<tr class="memdesc:a0a3d83da2246b9e98c9e04cef38e1778"><td class="mdescLeft">&#160;</td><td class="mdescRight">Realizuje animacje ruchu.  <a href="../../d6/db5/class_scene.html#a0a3d83da2246b9e98c9e04cef38e1778">Więcej...</a><br /></td></tr>
<tr class="separator:a0a3d83da2246b9e98c9e04cef38e1778"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a45aadc8e5a63422972db07fd9b0e8b76"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/db5/class_scene.html#a45aadc8e5a63422972db07fd9b0e8b76">animation</a> (const double &amp;angleChange, const double &amp;distance)</td></tr>
<tr class="memdesc:a45aadc8e5a63422972db07fd9b0e8b76"><td class="mdescLeft">&#160;</td><td class="mdescRight">Realizuje animacje ruchu.  <a href="../../d6/db5/class_scene.html#a45aadc8e5a63422972db07fd9b0e8b76">Więcej...</a><br /></td></tr>
<tr class="separator:a45aadc8e5a63422972db07fd9b0e8b76"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Atrybuty prywatne</h2></td></tr>
<tr class="memitem:a5ff8fd7b9f15d5fc22f3aa9180d12e1e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html">PzG::GnuplotLink</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/db5/class_scene.html#a5ff8fd7b9f15d5fc22f3aa9180d12e1e">link</a></td></tr>
<tr class="memdesc:a5ff8fd7b9f15d5fc22f3aa9180d12e1e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Zmienna do połączenia z gnuplotem.  <a href="../../d6/db5/class_scene.html#a5ff8fd7b9f15d5fc22f3aa9180d12e1e">Więcej...</a><br /></td></tr>
<tr class="separator:a5ff8fd7b9f15d5fc22f3aa9180d12e1e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3919702a0546ad2056643adf19bd8fc"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/db5/class_scene.html#ac3919702a0546ad2056643adf19bd8fc">frames</a> = 120</td></tr>
<tr class="memdesc:ac3919702a0546ad2056643adf19bd8fc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Liczba klatek w animacji.  <a href="../../d6/db5/class_scene.html#ac3919702a0546ad2056643adf19bd8fc">Więcej...</a><br /></td></tr>
<tr class="separator:ac3919702a0546ad2056643adf19bd8fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1a1aff0ee943bd21394c636fbe97410"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/db5/class_scene.html#ad1a1aff0ee943bd21394c636fbe97410">frameFreeze</a> = 16000</td></tr>
<tr class="memdesc:ad1a1aff0ee943bd21394c636fbe97410"><td class="mdescLeft">&#160;</td><td class="mdescRight">Czas pomiedzy poszczególnymi klatkami animacji.  <a href="../../d6/db5/class_scene.html#ad1a1aff0ee943bd21394c636fbe97410">Więcej...</a><br /></td></tr>
<tr class="separator:ad1a1aff0ee943bd21394c636fbe97410"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_attribs_class_drone"><td colspan="2" onclick="javascript:toggleInherit('pub_attribs_class_drone')"><img src="../../closed.png" alt="-"/>&#160;Atrybuty prywatne dziedziczone z <a class="el" href="../../d5/d02/class_drone.html">Drone</a></td></tr>
<tr class="memitem:a56f1e93b78d78a6d64929288eee02610 inherit pub_attribs_class_drone"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d02/class_drone.html#a56f1e93b78d78a6d64929288eee02610">kDroneFile</a> = &quot;solid/drone.dat&quot;</td></tr>
<tr class="memdesc:a56f1e93b78d78a6d64929288eee02610 inherit pub_attribs_class_drone"><td class="mdescLeft">&#160;</td><td class="mdescRight">Nazawa pliku, w którym jest zapisany model drona.  <a href="../../d5/d02/class_drone.html#a56f1e93b78d78a6d64929288eee02610">Więcej...</a><br /></td></tr>
<tr class="separator:a56f1e93b78d78a6d64929288eee02610 inherit pub_attribs_class_drone"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_attribs_classwater_surface"><td colspan="2" onclick="javascript:toggleInherit('pub_attribs_classwater_surface')"><img src="../../closed.png" alt="-"/>&#160;Atrybuty prywatne dziedziczone z <a class="el" href="../../d0/ddf/classwater_surface.html">waterSurface</a></td></tr>
<tr class="memitem:a294c9960b9d4aaacce830f087302a1ca inherit pub_attribs_classwater_surface"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/ddf/classwater_surface.html#a294c9960b9d4aaacce830f087302a1ca">kWaterSurfaceFile</a> = &quot;solid/waterSurface.dat&quot;</td></tr>
<tr class="memdesc:a294c9960b9d4aaacce830f087302a1ca inherit pub_attribs_classwater_surface"><td class="mdescLeft">&#160;</td><td class="mdescRight">Plik z zapisanymi współrzędnymi wody.  <a href="../../d0/ddf/classwater_surface.html#a294c9960b9d4aaacce830f087302a1ca">Więcej...</a><br /></td></tr>
<tr class="separator:a294c9960b9d4aaacce830f087302a1ca inherit pub_attribs_classwater_surface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6f4ef96cf0e35aa4c34c7aad9dcf54e inherit pub_attribs_classwater_surface"><td class="memItemLeft" align="right" valign="top">const double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/ddf/classwater_surface.html#aa6f4ef96cf0e35aa4c34c7aad9dcf54e">waterLevel</a> = 180</td></tr>
<tr class="memdesc:aa6f4ef96cf0e35aa4c34c7aad9dcf54e inherit pub_attribs_classwater_surface"><td class="mdescLeft">&#160;</td><td class="mdescRight">Zamienna zawierająca wysokość poziomu wody.  <a href="../../d0/ddf/classwater_surface.html#aa6f4ef96cf0e35aa4c34c7aad9dcf54e">Więcej...</a><br /></td></tr>
<tr class="separator:aa6f4ef96cf0e35aa4c34c7aad9dcf54e inherit pub_attribs_classwater_surface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_attribs_classbottom_surface"><td colspan="2" onclick="javascript:toggleInherit('pub_attribs_classbottom_surface')"><img src="../../closed.png" alt="-"/>&#160;Atrybuty prywatne dziedziczone z <a class="el" href="../../d8/dc1/classbottom_surface.html">bottomSurface</a></td></tr>
<tr class="memitem:a17014c3403a3813c8b113d783879c5fe inherit pub_attribs_classbottom_surface"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dc1/classbottom_surface.html#a17014c3403a3813c8b113d783879c5fe">kGroundFile</a> = &quot;solid/bottomSurface.dat&quot;</td></tr>
<tr class="memdesc:a17014c3403a3813c8b113d783879c5fe inherit pub_attribs_classbottom_surface"><td class="mdescLeft">&#160;</td><td class="mdescRight">Plik z zapisanymi współrzędnymi dna.  <a href="../../d8/dc1/classbottom_surface.html#a17014c3403a3813c8b113d783879c5fe">Więcej...</a><br /></td></tr>
<tr class="separator:a17014c3403a3813c8b113d783879c5fe inherit pub_attribs_classbottom_surface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0931a99d79e973757222f04623518599 inherit pub_attribs_classbottom_surface"><td class="memItemLeft" align="right" valign="top">const double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dc1/classbottom_surface.html#a0931a99d79e973757222f04623518599">bottomLevel</a> = -200</td></tr>
<tr class="memdesc:a0931a99d79e973757222f04623518599 inherit pub_attribs_classbottom_surface"><td class="mdescLeft">&#160;</td><td class="mdescRight">Zamienna zawierająca głębokość dna.  <a href="../../d8/dc1/classbottom_surface.html#a0931a99d79e973757222f04623518599">Więcej...</a><br /></td></tr>
<tr class="separator:a0931a99d79e973757222f04623518599 inherit pub_attribs_classbottom_surface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Dodatkowe Dziedziczone Składowe</h2></td></tr>
<tr class="inherit_header pub_methods_class_drone"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_drone')"><img src="../../closed.png" alt="-"/>&#160;Metody prywatne dziedziczone z <a class="el" href="../../d5/d02/class_drone.html">Drone</a></td></tr>
<tr class="memitem:ab692baa4be5c43b72990ce1b01bdc805 inherit pub_methods_class_drone"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d02/class_drone.html#ab692baa4be5c43b72990ce1b01bdc805">Drone</a> ()</td></tr>
<tr class="memdesc:ab692baa4be5c43b72990ce1b01bdc805 inherit pub_methods_class_drone"><td class="mdescLeft">&#160;</td><td class="mdescRight">Konstruktor dla klasy drone.  <a href="../../d5/d02/class_drone.html#ab692baa4be5c43b72990ce1b01bdc805">Więcej...</a><br /></td></tr>
<tr class="separator:ab692baa4be5c43b72990ce1b01bdc805 inherit pub_methods_class_drone"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72b51743436557dbb7c3d4dae30f09c4 inherit pub_methods_class_drone"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dca/_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d02/class_drone.html#a72b51743436557dbb7c3d4dae30f09c4">moveForward</a> (const double &amp;angleChange, const double &amp;distance, const int &amp;frames)</td></tr>
<tr class="memdesc:a72b51743436557dbb7c3d4dae30f09c4 inherit pub_methods_class_drone"><td class="mdescLeft">&#160;</td><td class="mdescRight">Zadaje ruch na wprost Korzystając z funkcji, która wylicza wektor przesunięcia wykonuje ruch drona na wprost pod zadanym kątem opadania lub wznoszenia.  <a href="../../d5/d02/class_drone.html#a72b51743436557dbb7c3d4dae30f09c4">Więcej...</a><br /></td></tr>
<tr class="separator:a72b51743436557dbb7c3d4dae30f09c4 inherit pub_methods_class_drone"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad657730896d4edb8e9b6ecb5dec69413 inherit pub_methods_class_drone"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d02/class_drone.html#ad657730896d4edb8e9b6ecb5dec69413">rotate</a> (double angleChange, const int &amp;frames)</td></tr>
<tr class="memdesc:ad657730896d4edb8e9b6ecb5dec69413 inherit pub_methods_class_drone"><td class="mdescLeft">&#160;</td><td class="mdescRight">Obraca drona o zadany kąt.  <a href="../../d5/d02/class_drone.html#ad657730896d4edb8e9b6ecb5dec69413">Więcej...</a><br /></td></tr>
<tr class="separator:ad657730896d4edb8e9b6ecb5dec69413 inherit pub_methods_class_drone"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classwater_surface"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classwater_surface')"><img src="../../closed.png" alt="-"/>&#160;Metody prywatne dziedziczone z <a class="el" href="../../d0/ddf/classwater_surface.html">waterSurface</a></td></tr>
<tr class="memitem:a168ae86be77b2066f8981603fefaf718 inherit pub_methods_classwater_surface"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/ddf/classwater_surface.html#a168ae86be77b2066f8981603fefaf718">waterSurface</a> ()</td></tr>
<tr class="memdesc:a168ae86be77b2066f8981603fefaf718 inherit pub_methods_classwater_surface"><td class="mdescLeft">&#160;</td><td class="mdescRight">Konstruktor dla klasy <a class="el" href="../../d0/ddf/classwater_surface.html" title="Modeluje pojęcie powierzchmi wody.">waterSurface</a>.  <a href="../../d0/ddf/classwater_surface.html#a168ae86be77b2066f8981603fefaf718">Więcej...</a><br /></td></tr>
<tr class="separator:a168ae86be77b2066f8981603fefaf718 inherit pub_methods_classwater_surface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classbottom_surface"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classbottom_surface')"><img src="../../closed.png" alt="-"/>&#160;Metody prywatne dziedziczone z <a class="el" href="../../d8/dc1/classbottom_surface.html">bottomSurface</a></td></tr>
<tr class="memitem:a0ce3f995ccb6c47d41765aa99c3a45b6 inherit pub_methods_classbottom_surface"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dc1/classbottom_surface.html#a0ce3f995ccb6c47d41765aa99c3a45b6">bottomSurface</a> ()</td></tr>
<tr class="memdesc:a0ce3f995ccb6c47d41765aa99c3a45b6 inherit pub_methods_classbottom_surface"><td class="mdescLeft">&#160;</td><td class="mdescRight">Konstruktor dla klasy <a class="el" href="../../d8/dc1/classbottom_surface.html" title="Modeluje pojęcie powierzchmi dna.">bottomSurface</a>.  <a href="../../d8/dc1/classbottom_surface.html#a0ce3f995ccb6c47d41765aa99c3a45b6">Więcej...</a><br /></td></tr>
<tr class="separator:a0ce3f995ccb6c47d41765aa99c3a45b6 inherit pub_methods_classbottom_surface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock">
<p class="definition">Definicja w linii <a class="el" href="../../d5/dd8/scene_8hh_source.html#l00015">15</a> pliku <a class="el" href="../../d5/dd8/scene_8hh_source.html">scene.hh</a>.</p>
</div><h2 class="groupheader">Dokumentacja konstruktora i destruktora</h2>
<a id="ad10176d75a9cc0da56626f682d083507"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad10176d75a9cc0da56626f682d083507">&#9670;&nbsp;</a></span>Scene()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Scene::Scene </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="../../da/d33/scene_8cpp_source.html#l00010">10</a> pliku <a class="el" href="../../da/d33/scene_8cpp_source.html">scene.cpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja funkcji składowych</h2>
<a id="a45aadc8e5a63422972db07fd9b0e8b76"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a45aadc8e5a63422972db07fd9b0e8b76">&#9670;&nbsp;</a></span>animation() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Scene::animation </td>
          <td>(</td>
          <td class="paramtype">const double &amp;&#160;</td>
          <td class="paramname"><em>angleChange</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const double &amp;&#160;</td>
          <td class="paramname"><em>distance</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Przeciążenie funkcji animacji dla przesunięcia względem wektora </p><dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramname">angleChange</td><td>- kąt wznoszenia lub opadania </td></tr>
    <tr><td class="paramname">distance</td><td>- odległość na jaka mamy sie poruszyć </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definicja w linii <a class="el" href="../../da/d33/scene_8cpp_source.html#l00048">48</a> pliku <a class="el" href="../../da/d33/scene_8cpp_source.html">scene.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="../../d6/db5/class_scene_a45aadc8e5a63422972db07fd9b0e8b76_cgraph.png" border="0" usemap="#d6/db5/class_scene_a45aadc8e5a63422972db07fd9b0e8b76_cgraph" alt=""/></div>
<map name="d6/db5/class_scene_a45aadc8e5a63422972db07fd9b0e8b76_cgraph" id="d6/db5/class_scene_a45aadc8e5a63422972db07fd9b0e8b76_cgraph">
<area shape="rect" title="Realizuje animacje ruchu." alt="" coords="5,56,140,83"/>
<area shape="rect" href="../../d5/d02/class_drone.html#a72b51743436557dbb7c3d4dae30f09c4" title="Zadaje ruch na wprost Korzystając z funkcji, która wylicza wektor przesunięcia wykonuje ruch drona na..." alt="" coords="188,56,347,83"/>
<area shape="rect" href="../../d5/d02/class_drone.html#af8bc6a465e5d55fdbd0985a03431a40c" title="Wylicza wektor przesunięcia." alt="" coords="395,5,593,32"/>
<area shape="rect" href="../../d2/d73/class_cuboid.html#a99d72f5f198a082b067309b2e5847595" title="Zapisuje współrzędne prostopadłościanu do pliku Otwiera plik o zadanej nazwie, a następnie zapisuje d..." alt="" coords="441,56,547,83"/>
<area shape="rect" href="../../d7/da7/class_shape.html#a499ab02e6fd00d35c87e9409cab672dc" title="Powiększa wektor przesunięcia." alt="" coords="430,107,558,133"/>
<area shape="rect" href="../../d7/da7/class_shape.html#a392923e3a75a0710056ca4770af77ddc" title="Przelicza stopnie na radiany." alt="" coords="641,5,800,32"/>
</map>
</div>

</div>
</div>
<a id="a0a3d83da2246b9e98c9e04cef38e1778"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0a3d83da2246b9e98c9e04cef38e1778">&#9670;&nbsp;</a></span>animation() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Scene::animation </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>rotateAngle</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Przeciążenie funkcji animacji dla obrotu drona w osi OZ </p><dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramname">rotateAngle</td><td>- kąt obrotu </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definicja w linii <a class="el" href="../../da/d33/scene_8cpp_source.html#l00039">39</a> pliku <a class="el" href="../../da/d33/scene_8cpp_source.html">scene.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="../../d6/db5/class_scene_a0a3d83da2246b9e98c9e04cef38e1778_cgraph.png" border="0" usemap="#d6/db5/class_scene_a0a3d83da2246b9e98c9e04cef38e1778_cgraph" alt=""/></div>
<map name="d6/db5/class_scene_a0a3d83da2246b9e98c9e04cef38e1778_cgraph" id="d6/db5/class_scene_a0a3d83da2246b9e98c9e04cef38e1778_cgraph">
<area shape="rect" title="Realizuje animacje ruchu." alt="" coords="5,31,140,57"/>
<area shape="rect" href="../../d5/d02/class_drone.html#ad657730896d4edb8e9b6ecb5dec69413" title="Obraca drona o zadany kąt." alt="" coords="188,31,296,57"/>
<area shape="rect" href="../../d2/d73/class_cuboid.html#a99d72f5f198a082b067309b2e5847595" title="Zapisuje współrzędne prostopadłościanu do pliku Otwiera plik o zadanej nazwie, a następnie zapisuje d..." alt="" coords="361,5,467,32"/>
<area shape="rect" href="../../d7/da7/class_shape.html#a4ab9606f25f5121c5d09e95de802f4c0" title="Zapisuje kąt obrotu Jako parametr przyjmuje wartość kąta, a następnie powiększa kąt o jaki jest obróc..." alt="" coords="344,56,484,83"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="../../d6/db5/class_scene_a0a3d83da2246b9e98c9e04cef38e1778_icgraph.png" border="0" usemap="#d6/db5/class_scene_a0a3d83da2246b9e98c9e04cef38e1778_icgraph" alt=""/></div>
<map name="d6/db5/class_scene_a0a3d83da2246b9e98c9e04cef38e1778_icgraph" id="d6/db5/class_scene_a0a3d83da2246b9e98c9e04cef38e1778_icgraph">
<area shape="rect" title="Realizuje animacje ruchu." alt="" coords="108,5,243,32"/>
<area shape="rect" href="../../df/d0a/main_8cpp.html#ae66f6b31b5ad750f1fe042a706a4e3d4" title=" " alt="" coords="5,5,60,32"/>
</map>
</div>

</div>
</div>
<a id="a3991345d3b38355077c2a8615fdeae05"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3991345d3b38355077c2a8615fdeae05">&#9670;&nbsp;</a></span>checkCollision()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Scene::checkCollision </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="../../dc/dca/_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &amp;&#160;</td>
          <td class="paramname"><em>vector</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramname">vector</td><td>- wektor wspołrzędnych </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Zwraca</dt><dd>true - wystąpiła kolizja </dd>
<dd>
false - nie ma kolizji </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="../../da/d33/scene_8cpp_source.html#l00024">24</a> pliku <a class="el" href="../../da/d33/scene_8cpp_source.html">scene.cpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja atrybutów składowych</h2>
<a id="ad1a1aff0ee943bd21394c636fbe97410"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad1a1aff0ee943bd21394c636fbe97410">&#9670;&nbsp;</a></span>frameFreeze</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const int Scene::frameFreeze = 16000</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="../../d5/dd8/scene_8hh_source.html#l00032">32</a> pliku <a class="el" href="../../d5/dd8/scene_8hh_source.html">scene.hh</a>.</p>

</div>
</div>
<a id="ac3919702a0546ad2056643adf19bd8fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac3919702a0546ad2056643adf19bd8fc">&#9670;&nbsp;</a></span>frames</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const int Scene::frames = 120</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="../../d5/dd8/scene_8hh_source.html#l00026">26</a> pliku <a class="el" href="../../d5/dd8/scene_8hh_source.html">scene.hh</a>.</p>

</div>
</div>
<a id="a5ff8fd7b9f15d5fc22f3aa9180d12e1e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5ff8fd7b9f15d5fc22f3aa9180d12e1e">&#9670;&nbsp;</a></span>link</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html">PzG::GnuplotLink</a> Scene::link</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="../../d5/dd8/scene_8hh_source.html#l00020">20</a> pliku <a class="el" href="../../d5/dd8/scene_8hh_source.html">scene.hh</a>.</p>

</div>
</div>
<hr/>Dokumentacja dla tej klasy została wygenerowana z plików:<ul>
<li><a class="el" href="../../d5/dd8/scene_8hh_source.html">scene.hh</a></li>
<li><a class="el" href="../../da/d33/scene_8cpp_source.html">scene.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d6/db5/class_scene.html">Scene</a></li>
    <li class="footer">Wygenerowano przez
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
